Get a list of Purchase Orders

GA
Retrieve a list of Purchase Orders based on specified filters.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

source_system_idstringOptional
Unique identifier of the purchase order line in the erp system. This value will be used to match source data and perform upserts.
vendor_idstringOptional

Id of the Vendor/Supplier. This value should match the source_vendors->g_source_system_id which will be used to send back as part of JE to ERP.

per_pageintegerOptional
pageintegerOptional

Response

This endpoint returns a list of objects.
source_system_idstring
Unique identifier of the purchase order line in the erp system. This value will be used to match source data and perform upserts.
vendor_idstring

Id of the Vendor/Supplier. This value should match the source_vendors->g_source_system_id which will be used to send back as part of JE to ERP.

po_idstring
System Id of the purchase order record.
po_numberstring
PO number value.
po_header_descriptionstring
Description of the purchase order.
po_line_idstring
System Id of the purchase order line.
po_line_descriptionstring
Description of the PO line.
po_line_amountdouble
Total amount in transaction currency of the PO line.
po_header_amountdouble
Total amount at the header level of the PO in transaction currency.
po_line_statusstring
Status of the PO line. Status will be leveraged to filter lines that are not active anymore.
po_ownerstring
Name of the PO owner.
service_end_datedate
End date of the PO line.
service_start_datedate
Start date of the PO line.
invoiced_amountdouble
Amount invoiced in transaction currency of the PO line.
po_balancedouble
Balance remaining in transaction currency of the PO line.
emailstring
Email of the PO owner.
transaction_currency_idstring

Currency id in which the transaction was posted in the gl. Should match the g_source_system_id in the currency list of source_coas.

subsidiary_idstring

Subsidiary id linked to the po line. This value should match the g_source_system_id in source_coas.

subsidiary_currency_idstring

Subsidiary currency id of the posted transaction line in the gl. Should match the name in the currency list of source_coas.

glaccount_debit_idstring

Expense glaccount id linked to the po line. This value should match the g_source_system_id in source_coas.

glaccount_credit_idstring

Liability glaccount id linked to the po line. This value should match the g_source_system_id in source_coas.

department_debit_idstring

Expense department/cost center id linked to the po line. This value should match the g_source_system_id in source_coas

department_credit_idstring

Liability department/cost center id linked to the po line. This value should match the g_source_system_id in source_coas.

location_debit_idstring

Expense location id linked to the po line. This value should match the g_source_system_id in source_coas.

location_credit_idstring

Liability location id linked to the po line. This value should match the g_source_system_id in source_coas.

class_debit_idstring

Expense class id linked to the po line. This value should match the g_source_system_id in source_coas.

class_credit_idstring

Liability class id linked to the po line. This value should match the g_source_system_id in source_coas.

created_atdatetime
updated_atdatetime
product_debit_idstring

Expense product id linked to the po line. This value should match the g_source_system_id in source_coas.

product_credit_idstring

Liability product id linked to the po line. This value should match the g_source_system_id in source_coas.

project_debit_idstring

Expense project id linked to the po line. This value should match the g_source_system_id in source_coas.

project_credit_idstring

Liability project id linked to the po line. This value should match the g_source_system_id in source_coas.

region_debit_idstring

Expense region id linked to the po line. This value should match the g_source_system_id in source_coas.

region_credit_idstring

Liability region id linked to the po line. This value should match the g_source_system_id in source_coas.

company_debit_idstring

Expense company id linked to the po line. This value should match the g_source_system_id in source_coas.

company_credit_idstring

Liability company id linked to the po line. This value should match the g_source_system_id in source_coas.

intercompany_debit_idstring

Expense intercompany id linked to the po line. This value should match the g_source_system_id in source_coas.

intercompany_credit_idstring

Liability intercompany id linked to the po line. This value should match the g_source_system_id in source_coas.

channel_debit_idstring

Expense channel id linked to the po line. This value should match the g_source_system_id in source_coas.

channel_credit_idstring

Liability channel id linked to the po line. This value should match the g_source_system_id in source_coas.

po_line_amount_cancelleddouble
Any po line amount that has been canceled.
cc_emailstring

CC emails to be used as part of outreach. Emails should be ”;” separated.

deleted_atdatetime
po_datedate
PO creation date
po_line_amount_usddouble
po_balance_usddouble
prepaid_accountstring

GL account name used for prepaid expenses when posting prepaid journal entries. Links to source_coas name.

prepaid_account_idstring

GL account ID used for prepaid expenses when posting prepaid journal entries. Links to source_coas source_system_id.

custom_text_1string

User-defined custom text field

custom_text_2string

User-defined custom text field

custom_text_3string

User-defined custom text field

custom_text_4string

User-defined custom text field

custom_text_5string

User-defined custom text field

custom_date_1date

User-defined custom date field

custom_date_2date

User-defined custom date field

custom_date_3date

User-defined custom date field

custom_date_4date

User-defined custom date field

custom_date_5date

User-defined custom date field

custom_numeric_1double

User-defined custom numeric field

custom_numeric_2double

User-defined custom numeric field

custom_numeric_3double

User-defined custom numeric field

custom_numeric_4double

User-defined custom numeric field

custom_numeric_5double

User-defined custom numeric field

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error